Bug 238676 - Boot loader suggested installed on USB-stick during upgrade
Boot loader suggested installed on USB-stick during upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 04:28 EDT by Kaare Fiedler Christiansen
Modified: 2008-05-06 21:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaare Fiedler Christiansen 2007-05-02 04:28:15 EDT
Description of problem:

While upgrading from Fedora Core 6 to Fedora 7 test4, using diskboot.img on a
USB-stick and network install, I encountered strange behaviour.

Twice, I was warned that "/dev/sdb" (the USB stick) needed to be reinitialized
to be used for Linux installed. I chose "ignore drive" both times.

However, when the boot loader needed to be installed, it was suggested installed
on /dev/sdb. On the screen for advenced options, I got the strange choice
between installing it on the master boot record, /dev/sdb, or the first
partition, which it claimed was /dev/sda1.

Rebooting and removing the USB stick when instalation was ready solved the problem.

Version-Release number of selected component (if applicable):

Anaconda on Fedora 7 test4.

How reproducible:

Always

Steps to Reproduce:
1. Start net installation from USB memory stick
2. Choose upgrade
  
Actual results:

Warns about drive needs to be initialised. Suggests installing boot sector on
USB stick.

Expected results:

No warnings about the USB device. Boot sector suggested installed on hard disk.
Comment 1 Jeremy Katz 2007-05-02 17:39:50 EDT
This is because your BIOS is saying that the USB stick is the first hard disk. 
Unfortunately, there's not much we can do to filter this while at the same time
letting people who want to install to USB.  The advanced boot loader screen will
let you reorder the drives 
Comment 2 Kaare Fiedler Christiansen 2007-05-03 17:34:18 EDT
But I was _UPGRADING_!

It should _always_ suggest the drive I was already using!

Also, how could it claim /dev/sda1 was the first partition on /dev/sdb?
Comment 3 Bug Zapper 2008-04-03 20:25:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:37:57 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.